Bug 864066 - Review Request: libecb - Compiler built-ins
Review Request: libecb - Compiler built-ins
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
http://software.schmorp.de/pkg/libecb
:
Depends On:
Blocks: 863988
  Show dependency treegraph
 
Reported: 2012-10-08 09:48 EDT by Petr Pisar
Modified: 2012-11-15 16:40 EST (History)
4 users (show)

See Also:
Fixed In Version: libecb-0.20121008-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 16:40:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-10-08 09:48:34 EDT
Spec URL: http://ppisar.fedorapeople.org/libecb/libecb.spec
SRPM URL: http://ppisar.fedorapeople.org/libecb/libecb-0.20121008-1.fc19.src.rpm
Description:
This project delivers you many GCC built-ins, attributes and a number of
generally useful low-level functions, such as popcount, expect, prefetch,
noinline, assume, unreachable and so on.

Fedora Account System Username: ppisar
Comment 1 Petr Pisar 2012-10-09 03:13:43 EDT
This package will go into F≥18 due to reverse dependencies.
Comment 2 Mario Blättermann 2012-10-14 11:52:01 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4588995

$ rpmlint -i -v *
libecb.noarch: I: checking
libecb.noarch: E: devel-dependency glibc-headers
Your package has a dependency on a devel package but it's not a devel package
itself.

libecb.noarch: W: spelling-error %description -l en_US popcount -> pop count, pop-count, upcountry
The value of this tag appears to be misspelled. Please double-check.

libecb.noarch: W: spelling-error %description -l en_US prefetch -> pref etch, pref-etch, prefect
The value of this tag appears to be misspelled. Please double-check.

libecb.noarch: W: spelling-error %description -l en_US noinline -> no inline, no-inline, nonlinear
The value of this tag appears to be misspelled. Please double-check.

libecb.noarch: I: checking-url http://software.schmorp.de/pkg/libecb (timeout 10 seconds)
libecb.noarch: W: devel-file-in-non-devel-package /usr/include/ecb.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

libecb.src: I: checking
libecb.src: W: spelling-error %description -l en_US popcount -> pop count, pop-count, upcountry
The value of this tag appears to be misspelled. Please double-check.

libecb.src: W: spelling-error %description -l en_US prefetch -> pref etch, pref-etch, prefect
The value of this tag appears to be misspelled. Please double-check.

libecb.src: W: spelling-error %description -l en_US noinline -> no inline, no-inline, nonlinear
The value of this tag appears to be misspelled. Please double-check.

libecb.src: I: checking-url http://software.schmorp.de/pkg/libecb (timeout 10 seconds)
libecb.src: W: no-%build-section
The spec file does not contain a %build section.  Even if some packages don't
directly need it, section markers may be overridden in rpm's configuration to
provide additional "under the hood" functionality, such as injection of
automatic -debuginfo subpackages.  Add the section, even if empty.

libecb.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 2)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

libecb.src: W: invalid-url Source0: libecb-20121008.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

libecb.spec: W: no-%build-section
The spec file does not contain a %build section.  Even if some packages don't
directly need it, section markers may be overridden in rpm's configuration to
provide additional "under the hood" functionality, such as injection of
automatic -debuginfo subpackages.  Add the section, even if empty.

libecb.spec:12: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 2)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

libecb.spec: W: invalid-url Source0: libecb-20121008.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 1 errors, 13 warnings.


Some warnings are ignorable. The invalid source is nevertheless valid, because we have a VCS checkout. It *is* a devel package although it doesn't have the -devel suffix, because there are no other files.

You just have to fix the missing %build section and the mixed use of spaces and tabs. I recommend spaces, because this way we get the same view in all text editors, regardless of the configured tab width.
Comment 3 Petr Pisar 2012-10-15 04:21:41 EDT
You are right. Updates package is on the same address.
Comment 4 Ralf Corsepius 2012-10-15 04:58:35 EDT
Increment the release tag, each time you update your submission.
Comment 5 Mario Blättermann 2012-10-20 17:14:22 EDT
(In reply to comment #4)
> Increment the release tag, each time you update your submission.

Indeed, although we are in a pre-Git state, bumping the release tag make it easier to track changes.

Nevertheless, here's the new scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4611546

$ rpmlint -i -v *
libecb.noarch: I: checking
libecb.noarch: E: devel-dependency glibc-headers
Your package has a dependency on a devel package but it's not a devel package
itself.

libecb.noarch: W: spelling-error %description -l en_US popcount -> pop count, pop-count, upcountry
The value of this tag appears to be misspelled. Please double-check.

libecb.noarch: W: spelling-error %description -l en_US prefetch -> pref etch, pref-etch, prefect
The value of this tag appears to be misspelled. Please double-check.

libecb.noarch: W: spelling-error %description -l en_US noinline -> no inline, no-inline, nonlinear
The value of this tag appears to be misspelled. Please double-check.

libecb.noarch: I: checking-url http://software.schmorp.de/pkg/libecb (timeout 10 seconds)
libecb.noarch: W: devel-file-in-non-devel-package /usr/include/ecb.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

libecb.src: I: checking
libecb.src: W: spelling-error %description -l en_US popcount -> pop count, pop-count, upcountry
The value of this tag appears to be misspelled. Please double-check.

libecb.src: W: spelling-error %description -l en_US prefetch -> pref etch, pref-etch, prefect
The value of this tag appears to be misspelled. Please double-check.

libecb.src: W: spelling-error %description -l en_US noinline -> no inline, no-inline, nonlinear
The value of this tag appears to be misspelled. Please double-check.

libecb.src: I: checking-url http://software.schmorp.de/pkg/libecb (timeout 10 seconds)
libecb.src: W: invalid-url Source0: libecb-20121008.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

libecb.spec: W: invalid-url Source0: libecb-20121008.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 1 errors, 9 warnings.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD  
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    8517f2585a427101f9733a9db84c7a531c2a1b7da12cf1481a68ae8ae2f0ecfa  libecb-20121008.tar.xz
    5856d96dcf283c9082870a3d43dcb60ae9f2e6850f615e578e9d6360df280baf  libecb.tar.xz.orig

Common problem for any VCS checkouts.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[.] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 6 Petr Pisar 2012-10-22 04:51:37 EDT
New Package SCM Request
=======================
Package Name: libecb
Short Description: Compiler built-ins
Owners: ppisar
Branches: f18
InitialCC:
Comment 7 Jon Ciesla 2012-10-22 08:05:17 EDT
Git done (by process-git-requests).
Comment 8 Petr Pisar 2012-10-22 08:38:23 EDT
Thank you for the review and the repository.
Comment 9 Fedora Update System 2012-10-22 08:43:45 EDT
libecb-0.20121008-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libecb-0.20121008-1.fc18
Comment 10 Fedora Update System 2012-10-23 02:43:41 EDT
Package perl-Coro-6.09-4.fc18, libecb-0.20121008-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Coro-6.09-4.fc18 libecb-0.20121008-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16684/libecb-0.20121008-1.fc18,perl-Coro-6.09-4.fc18
then log in and leave karma (feedback).
Comment 11 Mario Blättermann 2012-11-15 16:40:31 EST
Package is now marked as stable.

Note You need to log in before you can comment on or make changes to this bug.